#
# spec file for package glutdemo (Version 3.7)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  mesa mesa-devel mesaglut mesaglut-devel mesasoft tcsh xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mesa mesa-devel mesaglut mesaglut-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcsh texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         glutdemo
Copyright:    Mark J. Kilgard
Group:        Development
Requires:     mesa
Autoreqprov:  on
Version:      3.7
Release:      357
Summary:      Demos for GLUT
Source:       glut-3.7.tar.gz
Source1:      glut_data-3.7.tar.gz
Patch:        glut-3.7.dif

%description
Demos and Manual Pages of Glut. Glut is a 3D graphics library which
uses the OpenGL API.

Authors:
--------
    Mark J. Kilgard <mjk@nvidia.com>

SuSE series: x3d

%prep
%setup -n glut-3.7 -b1
%patch

%build
./mkmkfiles.imake
make

%install
# Manual pages
for i in man/glut/glut*; do \
install -g root -o root -m 644 $i /usr/share/man/man3/`basename $i man`3; \
done
# Docs
install -g root -o root -d /usr/share/doc/packages/glutdemo
install -g root -o root -m 644 CHANGES FAQ.glut IAFA-PACKAGE NOTICE Portability.txt README README.glut2 README.glut3 /usr/share/doc/packages/glutdemo
# Demos
install -g root -o root -d /usr/share/glutdemo
cp -rf progs/* /usr/share/glutdemo
install -g root -o root -m 644 data/* /usr/share/glutdemo/advanced 
cd /usr/share/glutdemo; rm -rf Imakefile Makefile* ada demos/sysview fortran glc inventor sgi-stereo tiff
find . -name \*.o -exec rm -f {} \;
chmod -R u+w *
chmod -R a+r *
cd /usr/share/doc/packages/glutdemo; ln -sf /usr/share/glutdemo demos

%files
/usr/share/doc/packages/glutdemo
/usr/share/glutdemo
/usr/share/man/man3/glut.3.gz
/usr/share/man/man3/glutAddMenuEntry.3.gz
/usr/share/man/man3/glutAddSubMenu.3.gz
/usr/share/man/man3/glutAttachMenu.3.gz
/usr/share/man/man3/glutBitmapCharacter.3.gz
/usr/share/man/man3/glutBitmapWidth.3.gz
/usr/share/man/man3/glutButtonBoxFunc.3.gz
/usr/share/man/man3/glutChangeToMenuEntry.3.gz
/usr/share/man/man3/glutChangeToSubMenu.3.gz
/usr/share/man/man3/glutCopyColormap.3.gz
/usr/share/man/man3/glutCreateMenu.3.gz
/usr/share/man/man3/glutCreateSubWindow.3.gz
/usr/share/man/man3/glutCreateWindow.3.gz
/usr/share/man/man3/glutDestroyMenu.3.gz
/usr/share/man/man3/glutDestroyWindow.3.gz
/usr/share/man/man3/glutDeviceGet.3.gz
/usr/share/man/man3/glutDialsFunc.3.gz
/usr/share/man/man3/glutDisplayFunc.3.gz
/usr/share/man/man3/glutEnterGameMode.3.gz
/usr/share/man/man3/glutEntryFunc.3.gz
/usr/share/man/man3/glutEstablishOverlay.3.gz
/usr/share/man/man3/glutExtensionSupported.3.gz
/usr/share/man/man3/glutForceJoystickFunc.3.gz
/usr/share/man/man3/glutFullScreen.3.gz
/usr/share/man/man3/glutGameModeGet.3.gz
/usr/share/man/man3/glutGameModeString.3.gz
/usr/share/man/man3/glutGet.3.gz
/usr/share/man/man3/glutGetColor.3.gz
/usr/share/man/man3/glutGetModifiers.3.gz
/usr/share/man/man3/glutIdleFunc.3.gz
/usr/share/man/man3/glutIgnoreKeyRepeat.3.gz
/usr/share/man/man3/glutInit.3.gz
/usr/share/man/man3/glutInitDisplayMode.3.gz
/usr/share/man/man3/glutInitDisplayString.3.gz
/usr/share/man/man3/glutInitWindowPosition.3.gz
/usr/share/man/man3/glutJoystickFunc.3.gz
/usr/share/man/man3/glutKeyboardFunc.3.gz
/usr/share/man/man3/glutKeyboardUpFunc.3.gz
/usr/share/man/man3/glutLayerGet.3.gz
/usr/share/man/man3/glutMainLoop.3.gz
/usr/share/man/man3/glutMenuStatusFunc.3.gz
/usr/share/man/man3/glutMotionFunc.3.gz
/usr/share/man/man3/glutMouseFunc.3.gz
/usr/share/man/man3/glutOverlayDisplayFunc.3.gz
/usr/share/man/man3/glutPopWindow.3.gz
/usr/share/man/man3/glutPositionWindow.3.gz
/usr/share/man/man3/glutPostOverlayRedisplay.3.gz
/usr/share/man/man3/glutPostRedisplay.3.gz
/usr/share/man/man3/glutRemoveMenuItem.3.gz
/usr/share/man/man3/glutRemoveOverlay.3.gz
/usr/share/man/man3/glutReportErrors.3.gz
/usr/share/man/man3/glutReshapeFunc.3.gz
/usr/share/man/man3/glutReshapeWindow.3.gz
/usr/share/man/man3/glutSetColor.3.gz
/usr/share/man/man3/glutSetCursor.3.gz
/usr/share/man/man3/glutSetKeyRepeat.3.gz
/usr/share/man/man3/glutSetMenu.3.gz
/usr/share/man/man3/glutSetWindow.3.gz
/usr/share/man/man3/glutSetWindowTitle.3.gz
/usr/share/man/man3/glutShowOverlay.3.gz
/usr/share/man/man3/glutShowWindow.3.gz
/usr/share/man/man3/glutSolidCone.3.gz
/usr/share/man/man3/glutSolidCube.3.gz
/usr/share/man/man3/glutSolidDodecahedron.3.gz
/usr/share/man/man3/glutSolidIcosahedron.3.gz
/usr/share/man/man3/glutSolidOctahedron.3.gz
/usr/share/man/man3/glutSolidSphere.3.gz
/usr/share/man/man3/glutSolidTeapot.3.gz
/usr/share/man/man3/glutSolidTetrahedron.3.gz
/usr/share/man/man3/glutSolidTorus.3.gz
/usr/share/man/man3/glutSpaceballButtonFunc.3.gz
/usr/share/man/man3/glutSpaceballMotionFunc.3.gz
/usr/share/man/man3/glutSpaceballRotateFunc.3.gz
/usr/share/man/man3/glutSpecialFunc.3.gz
/usr/share/man/man3/glutSpecialUpFunc.3.gz
/usr/share/man/man3/glutStrokeCharacter.3.gz
/usr/share/man/man3/glutStrokeWidth.3.gz
/usr/share/man/man3/glutSwapBuffers.3.gz
/usr/share/man/man3/glutTabletButtonFunc.3.gz
/usr/share/man/man3/glutTabletMotionFunc.3.gz
/usr/share/man/man3/glutTimerFunc.3.gz
/usr/share/man/man3/glutUseLayer.3.gz
/usr/share/man/man3/glutVisibilityFunc.3.gz
/usr/share/man/man3/glutWarpPointer.3.gz

%changelog -n glutdemo
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Mon Nov 13 2000 - sndirsch@suse.de
- fixed permissions
- removed .o files
* Wed May 24 2000 - sndirsch@suse.de
- added mesadev for #neededforbuild
* Wed Feb 09 2000 - sndirsch@suse.de
- changed group tag
* Thu Jan 20 2000 - sndirsch@suse.de
- moved /usr/man/* to /usr/share/man/*
* Mon Jan 10 2000 - ro@suse.de
- fixed to compile
  (libglut is not installed yet, when make descends into ./test)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jun 15 1999 - ro@suse.de
- added mesasoft to neededforbuild
* Mon Apr 26 1999 - ro@suse.de
- fixed to build on alpha as well
* Wed Mar 17 1999 - sndirsch@suse.de
- moved building and installing from Makefile.Linux to spec file; no
  Makefile.Linux required any longer
* Mon Jan 18 1999 - sndirsch@suse.de
- New package glutdemo. Demos and Manual pages of Glut. Glut is 3-D graphics
  library which uses the OpenGL API.
